Bug 963194 - [abrt] general protection fault: 0000 [#1] SMP
[abrt] general protection fault: 0000 [#1] SMP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fs-maint
Fedora Extras Quality Assurance
abrt_hash:d9b1033de556da6877b35bc2bfb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 07:24 EDT by Andreas Fischer
Modified: 2013-07-31 20:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:26:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (251.56 KB, text/plain)
2013-05-15 07:24 EDT, Andreas Fischer
no flags Details

  None (edit)
Description Andreas Fischer 2013-05-15 07:24:09 EDT
Additional info:
general protection fault: 0000 [#1] SMP 
Modules linked in: xfs btrfs zlib_deflate libcrc32c nfnetlink_log nfnetlink usb_storage fuse 8021q garp stp llc bnep bluetooth rfkill nf_conntrack_tftp xt_LOG ip6t_REJECT xt_nat nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_conntrack_ipv4 xt_state nf_defrag_ipv4 nf_nat_ipv4 ip6table_filter nf_nat nf_conntrack ip6_tables binfmt_misc snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq iTCO_wdt snd_seq_device iTCO_vendor_support lpc_ich mei snd_pcm coretemp snd_page_alloc kvm_intel kvm microcode serio_raw fschmd ppdev parport_pc parport i2c_i801 mfd_core snd_timer snd soundcore e1000e nfsd auth_rpcgss nfs_acl lockd sunrpc uinput dm_crypt ata_generic pata_acpi nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core
CPU 3 
Pid: 18888, comm: ntfsresize Not tainted 3.8.11-100.fc17.x86_64 #1 FUJITSU SIEMENS CELSIUS W360                  /D2587-A1
RIP: 0010:[<ffffffff811cf19c>]  [<ffffffff811cf19c>] block_invalidatepage+0x6c/0x100
RSP: 0018:ffff8801b244dc08  EFLAGS: 00010292
RAX: 0000000000000431 RBX: 66612f656d6f682f RCX: 0000000000000034
RDX: 0000000000000002 RSI: ffff880100df1888 RDI: ffff88024dfcaf78
RBP: ffff8801b244dc48 R08: 1010000000000000 R09: 0100df1888080000
R10: fee12127afbe2202 R11: 0000000000000000 R12: 0000000000000000
R13: 66612f656d6f682f R14: ffffea00043ca7c0 R15: 0000000000000431
FS:  00007ffa78cdc740(0000) GS:ffff88024dd80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 000000376b4ba9f0 CR3: 000000010c429000 CR4: 00000000000007e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process ntfsresize (pid: 18888, threadinfo ffff8801b244c000, task ffff88020b854620)
Stack:
 ffffea00043ca780 ffff880110df1958 ffff8801b244dc48 ffffea00043ca7c0
 ffff880240f59c20 ffff880240f59c20 0000000000000002 00000000000c5ccd
 ffff8801b244dc68 ffffffff81141086 ffffea00043ca7c0 ffffffffffffffff
Call Trace:
 [<ffffffff81141086>] truncate_inode_page+0x86/0x90
 [<ffffffff811411e1>] truncate_inode_pages_range+0x151/0x4b0
 [<ffffffff811cdc90>] ? buffer_cpu_notify+0xa0/0xa0
 [<ffffffff811415c5>] truncate_inode_pages+0x15/0x20
 [<ffffffff811d441c>] kill_bdev+0x2c/0x40
 [<ffffffff811d507b>] __blkdev_put+0x6b/0x1d0
 [<ffffffff811d5237>] blkdev_put+0x57/0x130
 [<ffffffff811d5335>] blkdev_close+0x25/0x30
 [<ffffffff8119e84c>] __fput+0xec/0x240
 [<ffffffff8119e9ae>] ____fput+0xe/0x10
 [<ffffffff8107eca5>] task_work_run+0xc5/0xe0
 [<ffffffff81064142>] do_exit+0x282/0x9d0
 [<ffffffff8106491f>] do_group_exit+0x3f/0xa0
 [<ffffffff81064997>] sys_exit_group+0x17/0x20
 [<ffffffff81658459>] system_call_fastpath+0x16/0x1b
Code: 0f 84 ad 00 00 00 48 8b 47 30 49 89 f4 48 89 45 c8 48 89 c3 31 c0 eb 13 0f 1f 80 00 00 00 00 4c 39 6d c8 4c 89 eb 44 89 f8 74 5e <44> 8b 7b 20 4c 8b 6b 08 41 01 c7 49 39 c4 77 e4 e8 cf f7 47 00 
RIP  [<ffffffff811cf19c>] block_invalidatepage+0x6c/0x100
 RSP <ffff8801b244dc08>
Comment 1 Andreas Fischer 2013-05-15 07:24:17 EDT
Created attachment 748198 [details]
File: dmesg
Comment 2 Dave Jones 2013-05-15 12:42:19 EDT
faulting instruction:
   0:	44 8b 7b 20          	mov    0x20(%rbx),%r15d

rbx is 66612f656d6f682f which is obviously not a pointer.
in fact, decoding it to ascii gets us 'fa/emoh/'

which seems to be the reversed /home/af

Very strange.

Your home dir is xfs ?
Comment 3 Andreas Fischer 2013-05-16 08:21:17 EDT
(In reply to comment #2)
> faulting instruction:
>    0:	44 8b 7b 20          	mov    0x20(%rbx),%r15d
> 
> rbx is 66612f656d6f682f which is obviously not a pointer.
> in fact, decoding it to ascii gets us 'fa/emoh/'
> 
> which seems to be the reversed /home/af
> 
> Very strange.
> 
> Your home dir is xfs ?

No, ext4. The directory structure is plain /, exact homedir: /home/af5. I have only one big partition except /boot and swap. /boot is on /dev/sda1 and / and swap are logical volumes of an lvm-vg on /dev/sda2. /dev/sda2 is encrypted (dm-crypt).
Could it be a memory merror? The crash occurres 1-2 times per month.

Greetings
Comment 4 Dave Jones 2013-05-16 10:35:58 EDT
it wouldn't hurt to run memtest on it for a while just to rule it out.
Comment 5 Eric Sandeen 2013-05-16 10:45:28 EDT
hm 1-2 times a month is often but not THAT often :(  maybe running kernel-debug would catch a memory error sooner, though.
Comment 6 Fedora End Of Life 2013-07-03 18:29:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 20:26:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.